"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRequestBody = exports.isSchema = exports.isNumber = exports.isObject = exports.isArray = void 0;
const lodash_es_1 = require("lodash-es");
const isArray = (data) => Object.prototype.toString.call(data) === "[object Array]";
exports.isArray = isArray;
const isObject = (data) => Object.prototype.toString.call(data) === "[object Object]";
exports.isObject = isObject;
const isNumber = (n) => {
    return !isNaN(parseFloat(n)) && isFinite(n);
};
exports.isNumber = isNumber;
const isSchema = (schema) => !(0, lodash_es_1.has)(schema, "$ref");
exports.isSchema = isSchema;
const isRequestBody = (requestBody) => !(0, lodash_es_1.has)(requestBody, "$ref");
exports.isRequestBody = isRequestBody;
